[**@rxap/socket-io v19.0.4**](../README.md)

***

[@rxap/socket-io](../globals.md) / withSocketIoOptions

# Function: withSocketIoOptions()

> **withSocketIoOptions**(`options`): `Provider`

Defined in: [provide.ts:54](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/socket-io/src/lib/provide.ts#L54)

## Parameters

### options

`Partial`\<`ManagerOptions` & `SocketOptions`\>

## Returns

`Provider`
